#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xrdb
Version		:	1.2.0
Release		:	14.4.0.0%{?dist}
Summary		:	X server resource database utility
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/app/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libpng
BuildRequires	:	mesa-devel
BuildRequires	:	xbitmaps
BuildRequires	:	xcb-util
#-----------------------------------------------------------------------------
%description
Xrdb  is  used to get or set the contents of the RESOURCE_MANAGER
property on the root window of screen 0, or the  SCREEN_RESOURCES
property on  the root window of any or all screens, or everything
combined. You would normally run this program from your X startup
file.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./configure						\
	$XORG_PREFIX					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
	

%files			
%defattr(-,root,root,-)
%doc COPYING README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%changelog
